%global coreversion 0.01

Name:		perl-Module-Package-Au
Version:	2
Release:	1%{?dist}
Summary:	Reusable Module::Install bits
Group:		Development/Libraries
License:	CC0
URL:		http://search.cpan.org/dist/Module-Package-Au/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/Module-Package-Au-%{coreversion}.tar.gz
# We need to patch it to the level in github, which is v2.
# https://raw.github.com/audreyt/module-package-au/master/lib/Module/Package/Au.pm
Patch0:		perl-Module-Package-Au-2.patch
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test)
BuildRequires:	perl(Module::Install::GithubMeta)
BuildRequires:	perl(Module::Install::ReadmeFromPod)
BuildRequires:	perl(Module::Install::ReadmeMarkdownFromPod)
BuildRequires:	perl(Module::Package) >= 0.24
BuildRequires:	perl(Pod::Markdown)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module defines a set of standard configurations for Makefile.PL
files based on Module::Package.

%prep
%setup -q -n Module-Package-Au-%{coreversion}
%patch0 -p1
rm -rf inc/*

# Work around goofy perl versioning mistakes of the past
sed -i 's|1.110730|1.301|g' lib/Module/Package/Au.pm
sed -i 's|1.110730|1.301|g' META.yml

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Module/Package/
%{_mandir}/man3/Module::Package::Au.3pm*

%changelog
* Tue Dec 11 2012 Tom Callaway <spot@fedoraproject.org> - 2-1
- initial package
